CentOS 7 安装 gcc 高版本

CentOS 7 某些时候可能遇到编译问题,比如在 R4S OpenWRT 中编译 mySQL 的时候会遇到 mysql/src/storage/innobase/handler/handler0alter.cc:9015:1: error: could not split insn的错误,这是因为系统默认安装的 gcc 版本太低导致的。

CentOS 7 yum 快速安装 gcc 7* 的方法:

yum install centos-release-scl
yum install devtoolset-7-gcc*
scl enable devtoolset-7 bash
which gcc
gcc --version

这种方法同样可以安装 gcc6 ,只需要將上面命令中 7 改成 6 即可。

如果觉得本文对你有帮助,可以鼓励我创作🍻

🧋请我喝杯奶茶吧🧋

发表回复

您的电子邮箱地址不会被公开。